
Redmine - Patch #19982

#8929 and #19707 i18n fixes, locales additions and code layout cleanup

2015-06-01 07:14 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version:    

Description

This is a simple patch series against source:/trunk@14294 (made using git format-patch) which follows r14275 and r14293 and

which consists of the following three changes:

[PATCH 1/3] Adds two missing strings to all locales except fr (#8929).[PATCH 1/3] Adds two missing strings to all locales

except fr (#8929).

The French locale already got these two strings added in r14275,

but all others are missing them:

label_time_entries_visibility_all

label_time_entries_visibility_own

[PATCH 2/3] Replace three raw French strings with i18n locales (#19707).[PATCH 2/3] Replace three raw French strings with

i18n locales (#19707).

r14293 introduced three raw French strings in the roles/_form view,

these are now:

replaced with i18n strings, where:

the French strings are transported to fr locales

the French strings are translated to English and added to the en

and en-GB locales

the English strings after translation are added to all the

remaining locales

[PATCH 3/3] Replace tabs with spaces at app/models/member.rb (#19707).[PATCH 3/3] Replace tabs with spaces at

app/models/member.rb (#19707).

- no further description -

Nb: please remove target version if unneeded since changes are on trunk/devel/master only.

Related issues:

Blocks Redmine - Feature #8929: Permission to view only your own time logs Closed 2011-07-28

Blocks Redmine - Feature #19707: Ability to limit member management to certai... Closed

Associated revisions

Revision 14296 - 2015-06-06 09:20 - Jean-Philippe Lang

Adds missing strings to locales (#8929).

Patch by Mischa The Evil

Revision 14297 - 2015-06-06 09:21 - Jean-Philippe Lang

Replaces hard-coded strings in views (#19707).

Patch by Mischa The Evil.

Revision 14298 - 2015-06-06 09:22 - Jean-Philippe Lang

Code formatting (#19982).
https://www.redmine.org/projects/redmine/repository/svn/revisions/14294/entry/trunk
https://www.redmine.org/projects/redmine/repository/svn/revisions/14275
https://www.redmine.org/projects/redmine/repository/svn/revisions/14293
www.redmine.org/projects/redmine/repository/svn/revisions/14275
www.redmine.org/projects/redmine/repository/svn/revisions/14293


Patch by Mischa The Evil.

History

#1 - 2015-06-02 03:29 - Mischa The Evil

- Blocks Feature #8929: Permission to view only your own time logs added

#2 - 2015-06-02 03:29 - Mischa The Evil

- Blocks Feature #19707: Ability to limit member management to certain roles added

#3 - 2015-06-02 03:35 - Mischa The Evil

- File 0001-Adds-two-missing-strings-to-all-locales-except-fr-8929.diff added

- File 0002-Replace-three-raw-French-strings-with-i18n-locales-19707.diff added

- File 0003-Replace-tabs-with-spaces-at-app-models-member.rb-19707.diff added

Here is a new set of patches, this time made using git diff so they'll apply smoothly using patch -p1.

#4 - 2015-06-06 09:23 - Jean-Philippe Lang

- Category set to I18n

- Status changed from New to Closed

- Target version deleted (3.1.0)

Patches committed, thanks for the cleanup!

Files

0001-Adds-two-missing-strings-to-all-locales-except-fr-89.patch 25.2 KB 2015-06-01 Mischa The Evil

0002-Replace-three-raw-French-strings-with-i18n-locales-1.patch 29.2 KB 2015-06-01 Mischa The Evil

0003-Replace-tabs-with-spaces-at-app-models-member.rb-197.patch 2.38 KB 2015-06-01 Mischa The Evil

0001-Adds-two-missing-strings-to-all-locales-except-fr-8929.diff 23 KB 2015-06-02 Mischa The Evil

0002-Replace-three-raw-French-strings-with-i18n-locales-19707.diff 26.4 KB 2015-06-02 Mischa The Evil

0003-Replace-tabs-with-spaces-at-app-models-member.rb-19707.diff 2.04 KB 2015-06-02 Mischa The Evil
